{% extends "lab_7/layout/base.html" %} {% block content %}
<section name="friend-list" id="friend-list">
  <div class="container">
    <div class="row">
      <div class="col-md-8 col-lg-8">
        <h2> Fasilkom Friends :3 </h2>
        <div id="friend-list" class="list-group">

        </div>
      </div>
    </div>
  </div>
</section>
{% endblock %} {% block javascript %}
<script>
  $(document).ready(function() {
    $.ajax({
      method: "GET",
      url: '{% url "lab-7:get-friend-list" %}',
      success: function(response) {
        for(var i in response.friend){
          var friend = response.friend[i];
          button ='<span class="pull-right btn btn-xs btn-default" onClick="deleteFriend('+
          friend.id+')"> Delete teman </span>'
          html = '<a class="list-group-item clearfix">'+friend.friend_name+'('+friend.npm +')'+button+'</a>'
          $('#friend-list').append(html);
        }

      },
      error: function(error) {
          alert("Tidak bisa menemukan daftar teman");
      }
    });
  });

  var deleteFriend = function(id) {
      $.ajax({
          method: "GET",
          url: '/lab-7/delete-friend/'+id+'/'
      });
      location.reload();
  };
</script>
{% endblock %}
